#!/bin/sh
# Copyright (C) 2008 - 2010 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

# Check to see if network is up yet

if ! ping -c 1 -w 5 "google.com" &>/dev/null ; then
 for (( ; ; ))
 do
   sleep 5
   if ping -c 1 -w 5 "google.com" &>/dev/null ; then
    echo ""
	echo "Network is finally up."
	echo ""
	
	echo "Adjusting time..."
	/sbin/service ntpd stop
	/usr/sbin/ntpdate pool.ntp.org
	/sbin/service ntpd start
	
	echo "Restarting some services that require the network..."
	
	# Only start squeezeboxserver if the user wants it autostarted on reboot
    if chkconfig --list | grep squeezeboxserver | grep on > /dev/null
		then
	    /sbin/service squeezeboxserver restart
    fi
	
    # Only start minidlna if the user wants it autostarted on reboot
    if chkconfig --list | grep minidlna | grep on > /dev/null
		then
	    /sbin/service minidlna restart
    fi	
	
    # Only start vortexbox-player if the user wants it autostarted on reboot
    if chkconfig --list | grep vortexbox-player | grep on > /dev/null
		then
	    /sbin/service vortexbox-player start
    fi

	# Start Wi-Fi gateway
	if [ -f /etc/vortexbox/gateway.mode ]
		then
		/sbin/service dnsmasq start
		/opt/vortexbox/nat_router.sh
	fi	

    break
   fi
 done
else
	echo "Adjusting time..."
	/sbin/service ntpd stop
	/usr/sbin/ntpdate pool.ntp.org
	/sbin/service ntpd start
	
	echo "Network is up, no need to restart network services."

    # Make sure VortexBox player startes
    if chkconfig --list | grep vortexbox-player | grep on > /dev/null
       then
	   /sbin/service vortexbox-player start
    fi

	# Start Wi-Fi gateway	
	if [ -f /etc/vortexbox/gateway.mode ]
		then
		/sbin/service dnsmasq start
		/opt/vortexbox/nat_router.sh
	fi

fi
